Bug 691406 - Warning: can't process font stream, loading font by the name. -- resulting in incorrect output
Summary: Warning: can't process font stream, loading font by the name. -- resulting in...
Status: NOTIFIED FIXED
Alias: None
Product: Ghostscript
Classification: Unclassified
Component: Text (show other bugs)
Version: master
Hardware: PC Linux
: P2 normal
Assignee: Ken Sharp
QA Contact: Bug traffic
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-21 20:17 UTC by Marcos H. Woehrmann
Modified: 2011-09-18 21:46 UTC (History)
1 user (show)

See Also:
Customer: 130
Word Size: ---


Attachments
patch (1.19 KB, patch)
2010-06-22 04:04 UTC, Alex Cherepanov
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcos H. Woehrmann 2010-06-21 20:17:20 UTC
The customer reports and I've verified that reading the attached PDF file with gs head (r11410) results in several warnings messages and incorrect output (as compared to Adobe Acrobat Reader 8).

The command line I'm using for testing:

  bin/gs -sDEVICE=ppmraw -o test.ppm ./PDF_PosWord.pdf

The messages printed by Ghostscript:

   **** Warning: can't process font stream, loading font by the name.
Substituting font Times-Roman for F9_85.
Loading NimbusRomNo9L-Regu font from %rom%Resource/Font/NimbusRomNo9L-Regu... 3664296 2360574 8788704 7423730 3 done.
   **** Warning: can't process font stream, loading font by the name.
Substituting font Times-Roman for F9_89.
   **** Warning: can't process font stream, loading font by the name.
Substituting font Times-Roman for F9_78.
   **** Warning: can't process font stream, loading font by the name.
Substituting font Times-Roman for F9_80.
   **** Warning: can't process font stream, loading font by the name.
Substituting font Times-Roman for F9_127.
   **** Warning: can't process font stream, loading font by the name.
Substituting font Times-Roman for F9_118.
   **** Warning: can't process font stream, loading font by the name.
Substituting font Times-Roman for F9_101.
   **** Warning: can't process font stream, loading font by the name.
Substituting font Times-Roman for F10_91.
   **** Warning: can't process font stream, loading font by the name.
Substituting font Times-Roman for F10_81.
   **** Warning: can't process font stream, loading font by the name.
Substituting font Times-Roman for F10_87.
   **** Warning: can't process font stream, loading font by the name.
Substituting font Times-Roman for F10_78.
   **** Warning: can't process font stream, loading font by the name.
Substituting font Times-Roman for F10_150.
   **** Warning: can't process font stream, loading font by the name.
Substituting font Times-Roman for F10_85.
Comment 2 Alex Cherepanov 2010-06-22 04:04:11 UTC
Created attachment 6392 [details]
patch

Some of the fonts in the sample file are missing /.notdef glyph and
were rejected by PS interpreter. This caused an attempt to load the font
by the name, which didn't match the text.

The patch adds /.notdef entry to it it is missing from an embedded PDF font.

With this patch the font can be loaded but the characters still look
distorted.
Comment 3 Alex Cherepanov 2010-06-22 05:25:29 UTC
Wendy confirms that Adobe Acrobat renders some of Japanese characters
in the sample file incorrectly. Acrobat Reader 5 shows somewhat
better picture, but it's still wrong. 

Ghostscript shows exactly the same picture as Acrobat Reader 8.
Since Ghostscript matches Acrobat Reader 8, no further actions
are needed.

The patch for missing /.notdef has been committed as a rev. 11412.
Comment 4 Marcos H. Woehrmann 2011-09-18 21:46:34 UTC
Changing customer bugs that have been resolved more than a year ago to closed.